postinst is in plymouth-theme-kubuntu-text 1:16.04ubuntu2.
This file is a maintainer script. It is executed when installing (*inst) or removing (*rm) the package.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 | #!/bin/sh -e
error()
{
RET=$?
MSG=$1
echo "E: $MSG";
exit $RET
}
case "$1" in
configure|triggered)
# We remove leftover generated file from previous plymouth version. Can be removed on xenial+1
if dpkg --compare-versions "$2" le-nl "1:16.04ubuntu1~"; then
rm -f /lib/plymouth/themes/kubuntu-text/kubuntu-text.plymouth
fi
# we keep that rmdir unconditional as we want to ensure that the dir is
# removed at some point (alternatives on other theme package removing
# default links may happens later)
rmdir -p --ignore-fail-on-non-empty /lib/plymouth/ || true
sed -re \
"/\[ubuntu-text\]/ {
N;
s/(title=Kubuntu ).*\$/\1$(lsb_release -rs)/
}" /usr/share/plymouth/themes/kubuntu-text/kubuntu-text.plymouth.in \
> /usr/share/plymouth/themes/kubuntu-text/kubuntu-text.plymouth
update-alternatives \
--install /usr/share/plymouth/themes/text.plymouth text.plymouth \
/usr/share/plymouth/themes/kubuntu-text/kubuntu-text.plymouth 60 || error "Failed to update-alternatives"
if which update-initramfs >/dev/null 2>&1; then
update-initramfs -u || error "Failed to update-initramfs"
fi
;;
abort-upgrade|abort-deconfigure|abort-remove)
;;
*)
echo "$0 called with unknown argument \`$1'" 1>&2
exit 1
;;
esac
exit 0
|